### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xlltemac_sinit.c File Reference

## Detailed Description

This file contains legacy initialization methods .

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -------------------------------------------------------
     1.00a jvb  11/10/06 First release

## Functions

XLlTemac_Config * | XLlTemac_LookupConfig (u16 DeviceId)

## Function Documentation

XLlTemac_Config* XLlTemac_LookupConfig | ( | u16 | DeviceId | ) |

XLlTemac_LookupConfig returns a reference to an XLlTemac_Config structure based on the unique device id, DeviceId. The return value will refer to an entry in the device configuration table defined in the xlltemac_g.c file.

Parameters:

  | DeviceId | is the unique device ID of the device for the lookup operation.

Returns:
  XLlTemac_LookupConfig returns a reference to a config record in the configuration table (in xlltemac_g.c) corresponding to DeviceId, or NULL if no match is found.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.